ServerRef (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Interface ServerRef

All Superinterfaces:
  Externalizable, RemoteRef, Serializable

public interface ServerRef
extends RemoteRef

A ServerRef represents the server-side handle for a remote object implementation.

Since:
  JDK1.1

Field Summary
`static long` | `serialVersionUID` indicate compatibility with JDK 1.1.x version of class.

Fields inherited from interface java.rmi.server.RemoteRef
`packagePrefix`

Method Summary
`RemoteStub` | `exportObject(Remote obj, Object data)` Creates a client stub object for the supplied Remote object.
`String` | `getClientHost()` Returns the hostname of the current client.

Methods inherited from interface java.rmi.server.RemoteRef
`done, getRefClass, invoke, invoke, newCall, remoteEquals, remoteHashCode, remoteToString`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

  indicate compatibility with JDK 1.1.x version of class.

  See Also:
    Constant Field Values

Method Detail

### exportObject

    public RemoteStub exportObject(Remote obj,
                                   Object data)
                            throws RemoteException

  Creates a client stub object for the supplied Remote object. If the call completes successfully, the remote object should be able to accept incoming calls from clients.

  Parameters:
    `obj` - the remote object implementation
    `data` - information necessary to export the object
  Returns:
    the stub for the remote object
  Throws:
    `RemoteException` - if an exception occurs attempting to export the object (e.g., stub class could not be found)
  Since:
    JDK1.1

### getClientHost

    public String getClientHost()
                         throws ServerNotActiveException

  Returns the hostname of the current client. When called from a thread actively handling a remote method invocation the hostname of the client is returned.

  Returns:
    the client's host name
  Throws:
    `ServerNotActiveException` - if called outside of servicing a remote method invocation
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.